%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%% INSERINDO COMENTÁRIOS EM ARQUIVOS .bib %%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% 1. Como em outros arquivos LaTeX, comentários são iniciados por "%" e,
%    portanto, é preciso usar "\%" para imprimir o caractere "%". Esquecer
%    disso pode gerar erros difíceis de encontrar!
%
% 2. Não é possível inserir comentários dentro de uma entrada, apenas fora.
%
% 3. Não é possível incluir o caractere arroba em um comentário.
%
% 4. Se quiser desabilitar temporariamente um campo ("comentar" o campo),
%    troque seu nome para algum nome inválido, como "author-disable".
%    Se quiser fazer alguma observação permanente dentro de uma entrada,
%    você também pode usar algum nome de campo inválido, como "lembrete",
%    ou usar o campo "annotation", que normalmente é ignorado.
%
% 5. Se quiser desabilitar temporariamente uma entrada inteira ("comentar" a
%    entrada), não basta colocar "%" nas linhas correspondentes por causa do
%    caractere arroba; também é preciso remover a arroba.
%
% 6. Na verdade, as regras não são bem essas, mas segui-las é uma boa ideia:
%    https://tex.stackexchange.com/a/262282


% Esta entrada está comentada, ou seja, não tem efeito: se houvesse uma
% referência a ela no texto, a referência ficaria inválida. Observe que,
% para isso, o caractere arroba foi apagado!
%Book{JW82,
% author    = {Richard A. Johnson and Dean W. Wichern},
% title     = {Applied Multivariate Statistical Analysis},
% publisher = {Prentice-Hall},
% year      = {1983}
%}

% Esta entrada não está em uso em tese-exemplo, apenas em
% apresentacao-exemplo, mas isso não é um problema: você pode
% ter um banco de dados com todos os papers que são de seu
% interesse e, em um dado texto, citar apenas alguns deles.
@book{Tanenbaum,
author = {Tanenbaum, Andrew S.},
isbn = {013359162X},
pages = {1101},
title = {Modern operating systems.},
year = {2014}
}
@book{Corbet2005,
author = {Corbet, Jonathan. and Rubini, Alessandro. and Kroah-Hartman, Greg. and Rubini, Alessandro.},
isbn = {9780596005900},
pages = {615},
publisher = {O'Reilly},
title = {Linux device drivers},
year = {2005}
}
@article{Soldani2018,
author = {Soldani, Jacopo and Tamburri, Damian Andrew and Heuvel, Willem-Jan Van Den},
issn = {0164-1212},
journal = {Journal of Systems and Software},
pages = {215--232},
title = {The pains and gains of microservices: A Systematic grey literature review},
volume = {146},
year = {2018}
}
@book{Bovet2005,
author = {Bovet, Daniel P and Cesati, Marco},
publisher = {" O'Reilly Media, Inc."},
title = {Understanding the Linux Kernel: from {I/O} ports to process management},
year = {2005}
}
@book{Kemmis1988,
author = {ed Kemmis and ed McTaggart and {Di Chiro}, G and Reid, J and Robottom, I and Tinning, R and White, L},
title = {The Action Research Planner. Third Edition},
year = {1988}
}
@book{Stringer2013,
author = {Stringer, E T},
isbn = {9781483320731},
publisher = {SAGE Publications},
title = {Action Research},
year = {2013}
}
@article{Garousi2018,
author = {Garousi, Vahid and Felderer, Michael and Mantyla, Mika},
journal = {Information and Software Technology},
month = {4},
title = {Guidelines for including grey literature and conducting multivocal literature reviews in software engineering},
year = {2018}
}
@article{Howison2005,
author = {Howison, James and Conklin, Megan and Crowston, Kevin},
journal = {IJITWE},
pages = {17--26},
title = {{FLOSSmole}: A Collaborative Repository for {FLOSS} Research Data and Analyses},
volume = {1},
year = {2005}
}
@inproceedings{Osterlie2007,
author = {Osterlie, Thomas and Jaccheri, Letizia},
booktitle = {Proceeding of the 2nd AIS SIGSAND European Symposium on Systems Analysis and Design, Gdansk, Poland},
title = {A critical review of software engineering research on open source software development},
year = {2007}
}
@inproceedings{Fagerholm2014,
author = {Fagerholm, Fabian and Guinea, Alejandro S and Munch, Jurgen and Borenstein, Jay},
booktitle = {Proceedings of the 8th ACM/IEEE International Symposium on Empirical Software Engineering and Measurement},
isbn = {978-1-4503-2774-9},
pages = {55:1--55:10},
publisher = {ACM},
series = {ESEM '14},
title = {The Role of Mentoring and Project Characteristics for Onboarding in Open Source Software Projects},
year = {2014}
}
@article{Fagerholm2013,
author = {Fagerholm, Fabian and Johnson, Patrik and Guinea, Alejandro Sanchez and Borenstein, Jay and Munch, Jurgen},
journal = {CoRR},
keywords = {dblp},
title = {Onboarding in Open Source Software Projects: A Preliminary Analysis.},
volume = {abs/1311.1334},
year = {2013}
}
@article{Ducheneaut2005,
author = {Ducheneaut, Nicolas},
journal = {Computer Supported Cooperative Work},
number = {4},
pages = {323--368},
title = {Socialization in an Open Source Software Community: A Socio-Technical Analysis},
volume = {14},
year = {2005}
}
@article{Mockus2002,
author = {Mockus, Audris and Fielding, Roy T and Herbsleb, James D},
issn = {1049-331X},
journal = {ACM Trans. Softw. Eng. Methodol.},
month = {7},
number = {3},
pages = {309--346},
publisher = {ACM},
title = {Two case studies of open source software development: Apache and Mozilla},
volume = {11},
year = {2002}
}
@phdthesis{Sabino2009,
annote = {[in portuguese]},
author = {Sabino, Vanessa},
school = {Department of Computer Science – Institute of Mathematics and Statistics of University of Sao Paulo},
title = {A systematic study on Free Software License},
year = {2009}
}
@article{Hippel2003,
author = {von Hippel, Eric and von Krogh, Georg},
issn = {1526-5455},
journal = {Organization Science},
month = {3},
number = {2},
pages = {209--223},
publisher = {INFORMS},
title = {Open Source Software and the ``Private-Collective'' Innovation Model: Issues for Organization Science},
volume = {14},
year = {2003}
}
@inproceedings{Kon2011,
author = {Kon, Fabio and Meirelles, Paulo and Lago, Nelson and Terceiro, Antonio and Chavez, Christina and Mendonza, Manoel},
booktitle = {SBES},
isbn = {978-1-4577-2187-8},
pages = {82--91},
publisher = {IEEE Computer Society},
title = {Free and Open Source Software Development and Research: Opportunities for Software Engineering.},
year = {2011}
}
@inproceedings{Kon2012,
annote = {[in portuguese]},
author = {Kon, Fabio and Lago, Nelson and Meirelles, Paulo and Sabino, Vanessa},
booktitle = {XXXI Jornadas de Atualização em Informática},
title = {Software livre e propriedade intelectual: aspectos jurídicos, licenças e modelos de negócio},
year = {2012}
}
@article{Raymond1999,
author = {Raymond, Eric},
issn = {0897-1986},
journal = {Knowledge, Technology and Policy},
month = {9},
number = {3},
pages = {23--49},
title = {The cathedral and the bazaar},
volume = {12},
year = {1999}
}
@article{Fitzgerald2006,
author = {Fitzgerald, Brian},
issn = {02767783},
journal = {MIS Quarterly},
number = {3},
pages = {587--598},
publisher = {Management Information Systems Research Center, University of Minnesota},
title = {The Transformation of Open Source Software},
volume = {30},
year = {2006}
}
@book{Rothstein2005,
author = {Rothstein, Hannah. and Sutton, A. J. and Borenstein, Michael.},
isbn = {9780470870143},
pages = {356},
publisher = {Wiley},
title = {Publication bias in meta-analysis : prevention, assessment and adjustments},
year = {2005}
}
@article{Tripp2005,
annote = {[in portuguese]},
author = {Tripp, David},
issn = {1517-9702},
journal = {Educação e Pesquisa},
month = {12},
number = {3},
pages = {443--466},
publisher = {Faculdade de Educação da Universidade de São Paulo},
title = {Pesquisa-ação: uma introdução metodológica},
volume = {31},
year = {2005}
}
@book{Kemmis2014,
address = {Singapore},
author = {Kemmis, Stephen and McTaggart, Robin and Nixon, Rhonda},
isbn = {978-981-4560-66-5},
publisher = {Springer Singapore},
title = {The Action Research Planner},
year = {2014}
}
@article{Bruntink2015,
author = {Bruntink, Magiel},
issn = {0167-6423},
journal = {Science of Computer Programming},
keywords = {Base rates,Open source software,Software analytics,Software engineering},
pages = {135--142},
title = {Towards base rates in software analytics: Early results and challenges from studying Ohloh},
volume = {97},
year = {2015}
}
@article{Schach2002,
author = {Schach, S.R. and Jin, B. and Wright, D.R. and Heller, G.Z. and Offutt, A.J.},
issn = {14625970},
journal = {IEE Proceedings - Software},
number = {1},
pages = {18},
title = {Maintainability of the Linux kernel},
volume = {149},
year = {2002}
}
@article{Sanders1998,
author = {Sanders, J.},
journal = {IEEE Software},
number = {5},
pages = {88--91},
title = {Linux, open source, and software's future},
volume = {15},
year = {1998}
}
@book{Feller2002,
author = {Feller, Joseph and Fitzgerald, Brian},
isbn = {0201734966},
pages = {211},
publisher = {Addison-Wesley},
title = {Understanding Open Source Software development},
year = {2002}
}
@misc{Rigby2008,
author = {Rigby, Peter C. and German, Daniel M. and Storey, Margaret-Anne},
title = {Open source software peer review practices : A case study of the Apache Server},
year = {2008}
}
@article{Rigby2014,
author = {Rigby, Peter C. and German, Daniel M. and Cowen, Laura and Storey, Margaret-Anne},
journal = {ACM Transactions on Software Engineering and Methodology},
month = {9},
number = {4},
pages = {1--33},
publisher = {ACM},
title = {Peer Review on Open-Source Software Projects},
volume = {23},
year = {2014}
}
@article{Scacchi2006,
author = {Scacchi, Walt and Feller, Joseph and Fitzgerald, Brian and Hissam, Scott and Lakhani, Karim},
issn = {1077-4866},
journal = {Software Process: Improvement and Practice},
month = {3},
number = {2},
pages = {95--105},
publisher = {John Wiley and Sons, Ltd},
title = {Understanding Free/Open Source Software Development Processes},
volume = {11},
year = {2006}
}
@inproceedings{Scacchi2007,
address = {New York, New York, USA},
author = {Scacchi, Walt and Walt},
booktitle = {The 6th Joint Meeting on European software engineering conference and the ACM SIGSOFT symposium on the foundations of software engineering companion papers - ESEC-FSE companion '07},
pages = {459},
publisher = {ACM Press},
title = {Free/open source software development},
year = {2007}
}
@article{Crowston2012,
author = {Crowston, Kevin and Wei, Kangning and Howison, James and Wiggins, Andrea},
journal = {ACM Computing Surveys},
month = {2},
number = {2},
pages = {1--35},
publisher = {ACM},
title = {Free/Libre open-source software development},
volume = {44},
year = {2012}
}
@article{Godin2015,
author = {Godin, Katelyn and Stapleton, Jackie and Kirkpatrick, Sharon I. and Hanning, Rhona M. and Leatherdale, Scott T.},
issn = {2046-4053},
journal = {Systematic Reviews},
month = {10},
pages = {138},
publisher = {BioMed Central},
title = {Applying systematic review search methods to the grey literature: a case study examining guidelines for school-based breakfast programs in Canada},
volume = {4},
year = {2015}
}
@article{Mahood2014,
author = {Mahood, Quenby and Van Eerd, Dwayne and Irvin, Emma},
issn = {17592879},
journal = {Research Synthesis Methods},
month = {9},
number = {3},
pages = {221--234},
publisher = {John Wiley and Sons, Ltd},
title = {Searching for grey literature for systematic reviews: challenges and benefits},
volume = {5},
year = {2014}
}

@article{Paez2017,
author = {Paez, Arsenio},
issn = {17565391},
journal = {Journal of Evidence-Based Medicine},
month = {8},
number = {3},
pages = {233--240},
publisher = {John Wiley and Sons, Ltd (10.1111)},
title = {Gray literature: An important resource in systematic reviews},
volume = {10},
year = {2017}
}

@book{robson_realresearch,
author = {Robson, Colin and McCartan, Kieran},
isbn = {111874523X},
pages = {533},
title = {Real world research : a resource for users of social research methods in applied settings},
year = {2016}
}

@misc{stallman_1983,
title={Initial Announcement},
url={https://www.gnu.org/gnu/initial-announcement.html},
journal={GNU Operating System},
author={Stallman, Richard},
year={1983},
month={9}
}

@book{dibona1999open,
  title={Open Sources: Voices from the Open Source Revolution},
  author={DiBona, C. and Ockman, S.},
  year={1999},
  publisher={O'Reilly Media}
}

@misc{stallman_gnu,
title={About the {GNU} Operating System},
url={https://www.gnu.org/gnu/about-gnu.html},
journal={GNU Operating System},
author={Stallman, Richard},
year={2018},
month={12}
}

@misc{gnu_history,
title={Overview of the {GNU} System},
url={https://www.gnu.org/gnu/gnu-history.html},
journal={GNU Operating System},
author={Free Software Foundation},
year={2017},
month={4}
}

@misc{torvalds_1992,
url={http://www.cs.cmu.edu/~awb/linux.history.html},
journal={LINUX's History by Linus Torvalds},
author={Torvalds, Linus},
year={1992},
month={7}
}

@misc{stallman_2019,
title={Why Open Source misses the point of Free Software},
url={https://www.gnu.org/philosophy/open-source-misses-the-point.html},
journal={GNU Operating System},
publisher={Free Software Foundation},
author={Stallman, Richard},
year={2019},
month={4}
}

@misc{torvalds_2007,
title={Re: Dual-Licensing Linux Kernel with {GPL} V2 and {GPL} V3},
url={https://marc.info/?l=linux-kernel&m=118236278730043&w=4},
journal={MARC},
author={Torvalds, Linus},
year={2007},
month={6}
}

@misc{ted_2016,
title={The quotable {Linus} {Torvalds}, live onstage at {TED}},
url={https://blog.ted.com/the-quotable-linus-torvalds-live-onstage-at-ted/},
author={McManus, Emily},
journal={TED Blog},
year={2016},
month={2}
}

@misc{torvalds_2018,
title={Linux 4.19-rc4 released, an apology, and a maintainership note},
url={https://lkml.org/lkml/2018/9/16/167},
journal={lkml.org},
author={Torvalds, Linus},
year={2018},
month={9}
}

@misc{gpl,
title={{GNU} General Public License},
url={https://www.gnu.org/licenses/gpl.html},
journal={GNU Operating System},
author={Free Software Foundation},
year={2007},
month={6}
}

@misc{ibm_kernel,
title={Anatomia do Kernel Linux},
url={https://www.ibm.com/developerworks/br/library/l-linux-kernel/index.html},
journal={IBM},
author={Jones, Tim},
year={2007},
month={7}
}

@misc{lf_blog,
title={How To Learn Linux From the Developers of Linux. (For Free.)},
url={https://www.linuxfoundation.org/wp-content/uploads/linux-kernel-report-2017.pdf},
journal={The Linux Foundation Blog},
author={The Linux Foundation},
year={2010},
month={1},
urldate = {2021-04-19}
}

@misc{lf_devreport2017,
title={Linux Kernel Development Report - 2017},
url={https://www.linuxfoundation.org/wp-content/uploads/linux-kernel-report-2017.pdf},
journal={The Linux Foundation},
author={Corbet,Jonathan and Kroah-Hartman, Greg},
year={2017},
month={4},
urldate = {2021-04-19}
}

@misc{linux_corbet,
title={How to Participate in the Linux Community: A Guide To The Kernel Development Process},
url={http://www.static.linuxfound.org/sites/lfcorp/files/How-Participate-Linux-Community_0.pdf},
publisher = {The Linux Foundation},
author={Corbet,Jonathan},
year={2008},
month={8},
urldate = {2021-04-19}
}

@misc{kernel_newbies,
title={Scheduler},
url={https://kernelnewbies.org/Documentation/Subsystems},
journal={Documentation/Subsystems - Linux Kernel Newbies},
author={KernelNewbies: Community},
year={2017},
month={12},
urldate = {2021-04-19}
}

@article{Sharp2016,
author = {Sharp, Helen and Dittrich, Yvonne and de Souza, Cleidson R. B.},
title = {The Role of Ethnographic Studies in Empirical Software Engineering},
journal = {IEEE Trans. Softw. Eng.},
volume = {42},
number = {8},
year = {2016},
issn = {0098-5589},
pages = {786--804},
numpages = {19},
publisher = {IEEE Press},
address = {Piscataway, NJ, USA},
}

@inproceedings{Melo2013,
  title={Productivity of agile teams: an empirical evaluation of factors and monitoring processes},
  author={Melo, Claudia de O.},
  year={2013}
}

@article{Biolchini2007,
title = "Scientific research ontology to support systematic review in software engineering",
journal = "Advanced Engineering Informatics",
volume = "21",
number = "2",
pages = "133 - 151",
year = "2007",
note = "Ontology of Systems and Software Engineering; Techniques to Support Collaborative Engineering Environments",
author = "Jorge Calmon de Almeida Biolchini and Paula Gomes Mian and Ana Candida Cruz Natali and Tayana Uchôa Conte and Guilherme Horta Travassos",
}

@article{Kitchenham2009,
 author = {Kitchenham, Barbara and Pearl Brereton, O. and Budgen, David and Turner, Mark and Bailey, John and Linkman, Stephen},
 title = {Systematic Literature Reviews in Software Engineering -- A Systematic Literature Review},
 journal = {Inf. Softw. Technol.},
 volume = {51},
 number = {1},
 year = {2009},
 pages = {7--15},
 numpages = {9},
 publisher = {Butterworth-Heinemann},
 address = {Newton, MA, USA},
}

@inproceedings{Cochrane2008,
  title={Cochrane handbook for systematic reviews of interventions},
  author={Julian P. T. Higgins and Sally Terry Green},
  year={2008}
}

@MISC{Kitchenham2007,
    author = {B. Kitchenham and S Charters},
    title = {Guidelines for performing Systematic Literature Reviews in Software Engineering},
    year = {2007}
}

@inproceedings{Budgen2006,
 author = {Budgen, David and Brereton, Pearl},
 title = {Performing Systematic Literature Reviews in Software Engineering},
 booktitle = {Proceedings of the 28th International Conference on Software Engineering},
 series = {ICSE '06},
 year = {2006},
 isbn = {1-59593-375-1},
 location = {Shanghai, China},
 pages = {1051--1052},
 numpages = {2},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {evidence, systematic literature review},
} 

@article{Kitchenham2013,
 author = {Kitchenham, Barbara and Brereton, Pearl},
 title = {A Systematic Review of Systematic Review Process Research in Software Engineering},
 journal = {Inf. Softw. Technol.},
 volume = {55},
 number = {12},
 year = {2013},
 publisher = {Butterworth-Heinemann},
 address = {Newton, MA, USA},
 keywords = {Mapping study, Systematic literature review, Systematic review, Systematic review methodology},
}

@book{Edmonds2013,
author = {Edmonds, W. Alex and Kennedy, Thomas D.},
isbn = {9781483317274},
pages = {364},
title = {An applied guide to research designs : quantitative, qualitative, and mixed methods},
year= {2013}
}

@article{Sarmento2011,
annote = {[in portuguese]},
author = {Sarmento, Manuel Jacinto},
publisher = {Lamparina Editora},
title = {O estudo de caso etnogr\'afico em educa\c{c}\~ao},
year = {2011}
}

@incollection{Seaman2008,
address = {London},
author = {Seaman, Carolyn B.},
booktitle = {Guide to Advanced Empirical Software Engineering},
pages = {35--62},
publisher = {Springer London},
title = {Qualitative Methods},
year = {2008}
}

@book{Miles2015,
author = {Miles, Matthew B.},
publisher = {Sage Pubns},
title = {Qualitative Data Analysis + the Coding Manual for Qualitative Researchers},
edition = 3,
year = {2015}
}

@book{Fogel2005,
       author = {Karl Fogel},
       title = {Producing Open Source Software: How to Run a Successful Free Software Project},
       publisher = {O'Reilly Media},
       month = {1},
       year = {2017},
       edition = {Second}
     }

@book{Goldman2005,
author = {Goldman, Ron and Gabriel, Richard P.},
pages = {402},
publisher = {Morgan Kaufmann},
title = {Innovation happens elsewhere : open source as business strategy},
year = {2005}
}

@misc{danvetter_post,
title={Linux Kernel Maintainer Statistics},
url={https://blog.ffwll.ch/2018/04/maintainer-statistics.html},
author={Vetter, Daniel},
year={2018},
month={4},
urldate = {2021-04-19}
}

@misc{danvet_maintainers,
title={Maintainers Don't Scale},
url={https://blog.ffwll.ch/2017/01/maintainers-dont-scale.html},
author={Vetter, Daniel},
year={2017},
month={1},
urldate = {2021-04-19}
}

@misc{kernel_process,
title={A guide to the Kernel Development Process},
url={https://www.kernel.org/doc/html/latest/process/development-process.html},
journal={The Linux Kernel Documentation},
author={Kernel.org: Documentation},
year={2019},
month={7},
urldate = {2021-04-19}
}

@article{Seaman1999,
author = {Seaman, C.B.},
journal = {IEEE Transactions on Software Engineering},
number = {4},
pages = {557--572},
title = {Qualitative methods in empirical studies of software engineering},
volume = {25},
year = {1999}
}

@article{Lakhani2003,
author = {Lakhani, Karim and Wolf, Robert G.},
journal = {SSRN Electronic Journal},
title = {Why Hackers Do What They Do: Understanding Motivation and Effort in Free/Open Source Software Projects},
year = {2003}
}

@inproceedings{Scacchi2010,
 author = {Scacchi, Walt},
 title = {The Future of Research in Free/Open Source Software Development},
 booktitle = {Proceedings of the FSE/SDP Workshop on Future of Software Engineering Research},
 series = {FoSER '10},
 year = {2010},
 pages = {315--320},
 numpages = {6},
 publisher = {ACM},
 address = {New York, NY, USA},
}

@inbook{Crowston2017,
address = {Cham},
author = {Crowston, Kevin and Squire, Megan},
booktitle = {Big Data Factories: Collaborative Approaches},
editor = {Matei, Sorin Adam and Jullien, Nicolas and Goggins, Sean P},
pages = {79--100},
publisher = {Springer International Publishing},
title = {Lessons Learned from a Decade of {FLOSS} Data Collection},
year = {2017}
}

@incollection{Crowston2016,
address = {Cham},
author = {Crowston, Kevin},
booktitle = {Handbook of Science and Technology Convergence},
pages = {475--486},
publisher = {Springer International Publishing},
title = {Open Source Technology Development},
year = {2016}
}

@inproceedings{Jensen2007,
author = {Jensen, Chris and Scacchi, Walt},
booktitle = {29th International Conference on Software Engineering (ICSE'07)},
pages = {364--374},
publisher = {IEEE},
title = {Role Migration and Advancement Processes in {OSSD} Projects: A Comparative Case Study},
year = {2007}
}

@article{Steinmacher2015,
author = {Steinmacher, Igor and {Graciotto Silva}, Marco Aurelio and Gerosa, Marco Aurelio and Redmiles, David F.},
journal = {Information and Software Technology},
pages = {67--85},
title = {A systematic literature review on the barriers faced by newcomers to open source software projects},
volume = {59},
year = {2015}
}

@article{Host2011,
author = {H{\"{o}}st, Martin and Oru{\v{c}}evi{\'{c}}-Alagi{\'{c}}, Alma},
issn = {0950-5849},
journal = {Information and Software Technology},
number = {6},
pages = {616--624},
publisher = {Elsevier},
title = {A systematic review of research on open source software in commercial software product development},
volume = {53},
year = {2011}
}

@book{Cochrane2011,
  title={Cochrane handbook for systematic reviews of interventions},
  editor={Julian P. T. Higgins and James Thomas},
  year={2019},
  edition={2nd},
  publisher={Wiley-Blackwell}
}

@article{Adams2017,
author = {R. J. Adams and P. Smart and A. S. Huff},
title = {Shades of Grey: Guidelines for Working with the Grey Literature in Systematic Reviews for Management and Organizational Studies},
journal = {International Journal of Management Reviews},
volume = {19},
number = {4},
year = {2017}
}

@INPROCEEDINGS{Bailey2007,
author={J. {Bailey} and D. {Budgen} and M. {Turner} and B. {Kitchenham} and P. {Brereton} and S. {Linkman}},
booktitle={First International Symposium on Empirical Software Engineering and Measurement},
title={Evidence relating to Object-Oriented software design: A survey},
year={2007},
}

@inproceedings{Garousi2016,
 original_author = {Garousi, Vahid and Felderer, Michael and M\"{a}ntyl\"{a}, Mika V.},
 author = {V. Garousi and M. Felderer and M. V. M\"{a}ntyl\"{a}},
 title = {The Need for Multivocal Literature Reviews in Software Engineering: Complementing Systematic Literature Reviews with Grey Literature},
 booktitle = {Proceedings of the 20th International Conference on Evaluation and Assessment in Software Engineering},
 year = {2016},
 location = {Limerick, Ireland},
} 

@inproceedings{travassos2016SLR,
 author = {B. B. N. de Fran\c{c}a and H. Jeronimo Junior and G. H. Travassos},
 title = {Characterizing {DevOps} by Hearing Multiple Voices},
 booktitle = {Proceedings of the 30th Brazilian Symposium on Software Engineering},
 series = {SBES '16},
 year = {2016},
 location = {Maringa, Brazil},
 pages = {53--62},
 publisher = {ACM}
}

@inproceedings{Capiluppi2003,
  title={Characteristics of open source projects},
  author={Capiluppi, Andrea and Lago, Patricia and Morisio, Maurizio},
  booktitle={Software Maintenance and Reengineering, 2003. Proceedings. Seventh European Conference on},
  pages={317--327},
  year={2003},
  organization={IEEE}
}

@inproceedings{Warsta2003,
  title={Is open source software development essentially an agile method},
  author={Warsta, Juhani and Abrahamsson, Pekka},
  booktitle={Proceedings of the 3rd Workshop on Open Source Software Engineering},
  pages={143--147},
  year={2003}
}

@article{Beck2010,
  title={Manifesto for Agile Software Development. Agile Alliance (2001)},
  author={Beck, Kent and Beedle, M and Bennekum, A and others},
  journal={Retrieved June},
  volume={14},
  year={2010}
}

@InProceedings{Fraser2006,
  title={Open Source Software in an Agile World},
  author={Fraser, Steven and Agerfalk, Par J. and Eckstein, Jutta and Korson, Tim and Rainsberger, J. B.},
  booktitle={Extreme Programming and Agile Processes in Software Engineering},
  publisher={Springer Berlin Heidelberg},
  pages={217--220},
  year={2006},
}

@article{Okoli2012,
       publisher = {Inderscience},
           title = {The best of adaptive and predictive methodologies: open source software development, a balance between agility and discipline},
          number = {1-2},
         journal = {International Journal of Information Technology and Management},
          volume = {11},
           pages = {153--166},
            year = {2012},
          author = {Chitu Okoli and Kevin Carillo},
}


@article{Magdaleno2012,
title = "Reconciling software development models: A quasi-systematic review",
journal = "Journal of Systems and Software",
volume = "85",
number = "2",
pages = "351 - 369",
year = "2012",
note = "Special issue with selected papers from the 23rd Brazilian Symposium on Software Engineering",
author = "Andréa Magalhães Magdaleno and Cláudia Maria Lima Werner and Renata Mendes de Araujo",
}

%%----------------------%%

@article{Adams2009,
author = {Adams, Paul and Capiluppi, Andrea},
year = {2009},
month = {01},
pages = {58-71},
title = {Bridging the Gap between Agile and Free Software Approaches: The Impact of Sprinting},
volume = {1},
journal = {International Journal of Open Source Software and Processes (IJOSSP)},
}

@InProceedings{During2006,
author="During, Beatrice",
title="Sprint Driven Development: Agile Methodologies in a Distributed Open Source Project (PyPy)",
booktitle="Extreme Programming and Agile Processes in Software Engineering",
year="2006",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="191--195"
}

@ARTICLE{Goth2007,
author={G. {Goth}},
journal={IEEE Software},
title={Sprinting toward Open Source Development},
year={2007},
volume={24},
number={1},
pages={88-91}
}



@article{Gary2011,
author = {Gary, Kevin and Enquobahrie, Andinet and Ibanez, Luis and Cheng, Patrick and Yaniv, Ziv and Cleary, Kevin and Kokoori, Shylaja and Muffih, Benjamin and Heidenreich, John},
title = {Agile methods for open source safety-critical software},
journal = {Journal of Software: Practice and Experience},
volume = {41},
number = {9},
pages = {945-962},
year = {2011}
}

@InProceedings{Guido2007,
author="Porruvecchio, Guido and Concas, Giulio and Palmas, Daniele and Quaresima, Roberta",
title="An Agile Approach for Integration of an Open Source Health Information System",
booktitle="Agile Processes in Software Engineering and Extreme Programming",
year="2007",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="213--218"
}

@InProceedings{Deshpande2008,
author="Deshpande, Amit and Riehle, Dirk",
title="Continuous Integration in Open Source Software Development",
booktitle="IFIP International Conference on Open Source Systems: Open Source Development, Communities and Quality",
year="2008",
publisher="Springer US",
address="Boston, MA",
pages="273--280",
}

@InProceedings{Lavazza2010,
author="Lavazza, Luigi and Morasca, Sandro and Taibi, Davide and Tosi, Davide",
title="Applying SCRUM in an OSS Development Process: An Empirical Evaluation",
booktitle="Agile Processes in Software Engineering and Extreme Programming",
year="2010",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="147--159"
}

@article{Harzl2017,
  author = {Harzl, Annemarie},
  title = {Can {FOSS} projects benefit from integrating Kanban: a case study},
  journal = {Journal of Internet Services and Applications},
  year = {2017},
  day = {06},
  volume = {8},
  number = {1},
  pages = {7},
  issn = {1869-0238}
}

@article{Fitzgerald2017,
title = "Continuous software engineering: A roadmap and agenda",
journal = "Journal of Systems and Software",
volume = "123",
pages = "176 - 189",
year = "2017",
issn = "0164-1212",
author = "Brian Fitzgerald and Klaas-Jan Stol"
}

@article{Rahman2018,
author = {Rahman, Sheikh Shah Mohammad and Mollah, S.A. and Anirban, Shikha and Rahman, Md and Rahman, Md and Hassan, Md Maruf and Sharif, Md Hasan},
year = {2018},
month = {06},
pages = {20.1-20.7},
title = {{OSCRUM}: A modified scrum for open source software development},
volume = {19},
journal = {International Journal of Simulation: Systems, Science and Technology},
}


@INPROCEEDINGS{Muller2018,
author={M. {Müller}},
booktitle={2018 IEEE Conference on Open Systems (ICOS)},
title={Agile Challenges and Chances for Open Source: Lessons Learned from Managing a {FLOSS} Project},
year={2018},
pages={1-6},
}

@inproceedings{Corbucci2010,
author="Corbucci, Hugo and Goldman, Alfredo",
title="Open Source and Agile Methods: Two Worlds Closer than It Seems",
booktitle="Agile Processes in Software Engineering and Extreme Programming",
year="2010",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="383--384",
}

@article{Gandomani2013,
author = {Javdani Gandomani, Taghi and Zulzalil, Hazura and abdul ghani, Abdul azim and Md Sultan, Abu Bakar},
year = {2013},
month = {02},
pages = {},
title = {A Systematic Literature Review on relationship between agile methods and Open Source Software Development methodology},
volume = {7},
journal = {International Review on Computers and Software}
}

@InProceedings{Koch2004,
author="Koch, Stefan",
title="Agile Principles and Open Source Software Development: A Theoretical and Empirical Discussion",
booktitle="Extreme Programming and Agile Processes in Software Engineering",
year="2004",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="85--93",
}

@INPROCEEDINGS{Tsirakidis2009,
author={P. {Tsirakidis} and F. {Kobler} and H. {Krcmar}},
booktitle={2009 Fourth IEEE International Conference on Global Software Engineering},
title={Identification of Success and Failure Factors of Two Agile Software Development Teams in an Open Source Organization},
year={2009},
volume={},
number={},
pages={295-296},
}

%%---------------------------------SLR

@inproceedings{Bagerzadeh2018,
author = {Bagherzadeh, Mojtaba and Kahani, Nafiseh and Bezemer, Cor-Paul and Hassan, Ahmed E. and Dingel, Juergen and Cordy, James R.},
title = {Analyzing a Decade of Linux System Calls},
year = {2018},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Proceedings of the 40th International Conference on Software Engineering},
location = {Gothenburg, Sweden},
series = {ICSE '18}
}

@inproceedings{Palix2014,
author = {Palix, Nicolas and Thomas, Gaundefinedl and Saha, Suman and Calv\`{e}s, Christophe and Muller, Gilles and Lawall, Julia},
title = {Faults in Linux 2.6},
year = {2014},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {32},
journal = {ACM Trans. Comput. Syst.}
}

@inproceedings{Tan2019,
author = {Tan, Xin and Zhou, Minghui},
title = {How to Communicate When Submitting Patches: An Empirical Study of the Linux Kernel},
year = {2019},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {3},
number = {CSCW},
journal = {Proc. ACM Hum.-Comput. Interact.}
}

@inproceedings{Tian2012,
 author={Y. {Tian} and J. {Lawall} and D. {Lo}},
 booktitle={2012 34th International Conference on Software Engineering (ICSE)}, 
 title={Identifying Linux bug fixing patches}, 
 year={2012}
}

@inproceedings{Zhou2017,
author = {Zhou, Minghui and Chen, Qingying and Mockus, Audris and Wu, Fengguang},
title = {On the Scalability of Linux Kernel Maintainers' Work},
year = {2017},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Proceedings of the 2017 11th Joint Meeting on Foundations of Software Engineering},
location = {Paderborn, Germany},
series = {ESEC/FSE 2017}
}

@inproceedings{Izquierdo2018,
author = {Izquierdo, Javier Luis C\'{a}novas and Cabot, Jordi},
title = {The Role of Foundations in Open Source Projects},
year = {2018},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Proceedings of the 40th International Conference on Software Engineering: Software Engineering in Society},
pages = {3–12},
location = {Gothenburg, Sweden},
series = {ICSE-SEIS '18}
}

@inproceedings{Jiang2014,
author = {Jiang, Yujuan and Adams, Bram and Khomh, Foutse and German, Daniel M.},
title = {Tracing Back the History of Commits in Low-Tech Reviewing Environments: A Case Study of the Linux Kernel},
year = {2014},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Proceedings of the 8th ACM/IEEE International Symposium on Empirical Software Engineering and Measurement},
location = {Torino, Italy},
series = {ESEM '14}
}

@inproceedings{Izquierdo2017,
author = {Izquierdo-Cortazar, Daniel and Sekitoleko, Nelson and Gonzalez-Barahona, Jesus M. and Kurth, Lars},
title = {Using Metrics to Track Code Review Performance},
year = {2017},
publisher = {Association for Computing Machinery},
booktitle = {Proceedings of the 21st International Conference on Evaluation and Assessment in Software Engineering},
location = {Karlskrona, Sweden},
series = {EASE'17}
}

@inproceedings{Zaidenberg2015,
author={N. J. {Zaidenberg} and E. {Khen}},
  booktitle={2015 IEEE 2nd International Conference on Cyber Security and Cloud Computing}, 
  title={Detecting Kernel Vulnerabilities During the Development Phase}, 
  year={2015}
}

@inproceedings{Lindberg2014,
author = {Lindberg, A and Xiao, X and Lyytinen, K},
booktitle = {2014 47th Hawaii International Conference on System Sciences},
pages = {4568--4577},
title = {Theorizing Modes of Open Source Software Development},
year = {2014}
}

@article{Shaikh2017,
author = {Shaikh, Maha and Henfridsson, Ola},
journal = {Information and Organization},
pages = {116--135},
publisher = {Elsevier Ltd},
title = {Governing open source software through coordination processes},
volume = {27},
year = {2017}
}

@article{Feitelson2012,
author = {Feitelson, Dror G.},
journal = {Journal of Systems and Software},
pages = {859--875},
title = {Perpetual development: A model of the Linux kernel life cycle},
volume = {85},
year = {2012}
}

@article{Israeli2010,
author = {Israeli, Ayelet and Feitelson, Dror G.},
journal = {Journal of Systems and Software},
number = {3},
pages = {485--501},
title = {The Linux kernel as a case study in software evolution},
volume = {83},
year = {2010}
}

@article{Berger2014,
author = {Berger, Thorsten and Pfeiffer, Rolf Helge and Tartler, Reinhard and Dienst, Steffen and Czarnecki, Krzysztof and Wa̧sowski, Andrzej and She, Steven},
journal = {Information and Software Technology},
number = {11},
pages = {1520--1535},
publisher = {Elsevier},
title = {Variability mechanisms in software ecosystems},
volume = {56},
year = {2014}
}

@inproceedings{Riehle2012,
author = {Riehle, Dirk and Berschneider, Sebastian},
booktitle = {IFIP Advances in Information and Communication Technology},
pages = {15--28},
title = {A model of open source developer foundations},
volume = {378 AICT},
year = {2012}
}

@inproceedings{Barr2012,
author = {Barr, Earl T. and Bird, Christian and Rigby, Peter C. and Hindle, Abram and German, Daniel M. and Devanbu, Premkumar},
booktitle = {Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
pages = {316--331},
title = {Cohesive and isolated development with branches},
volume = {7212 LNCS},
year = {2012}
}

@inproceedings{Forrest2012,
author = {Forrest, Darren and Jensen, Carlos and Mohan, Nitin and Davidson, Jennifer},
booktitle = {IFIP Advances in Information and Communication Technology},
pages = {201--215},
publisher = {Springer New York LLC},
title = {Exploring the role of outside organizations in free / open source software projects},
volume = {378 AICT},
year = {2012}
}

@inproceedings{Lotufo2010,
author = {Lotufo, Rafael and She, Steven and Berger, Thorsten and Czarnecki, Krzysztof and Waski, Andrzej},
booktitle = {Software Product Lines: Going Beyond},
pages = {136--150},
title = {Evolution of the linux kernel variability model},
year = {2010}
}

@inproceedings{Avelino2018,
author = {Avelino, Guilherme and Passos, Leonardo and Hora, Andre and Valente, Marco Tulio},
title = {Measuring and analyzing code authorship in $1$ + $118$ open source projects},
journal = {Science of Computer Programming},
volume = {176},
year = {2018}
}

@article{German2016,
author = {German, Daniel M. and Adams, Bram and Hassan, Ahmed E.},
journal = {Empirical Software Engineering},
mendeley-groups = {Springer,check-cross-duplicate},
pages = {260--299},
title = {Continuously mining distributed version control systems: an empirical study of how Linux uses Git},
volume = {21},
year = {2016}
}

@article{Eyolfson2014,
author = {Eyolfson, Jon and Tan, Lin and Lam, Patrick},
journal = {Empirical Software Engineering},
mendeley-groups = {Springer,check-cross-duplicate},
pages = {1009--1039},
title = {Correlations between bugginess and time-based commit characteristics},
volume = {19},
year = {2014}
}

@article{Capiluppi2013,
author = {Capiluppi, Andrea and Izquierdo-Cort{\'{a}}zar, Daniel},
journal = {Empirical Software Engineering},
mendeley-groups = {check-cross-duplicate},
pages = {60--88},
title = {Effort estimation of {FLOSS} projects: A study of the Linux kernel},
volume = {18},
year = {2013}
}

@article{Joblin2017,
author = {Joblin, Mitchell and Apel, Sven and Mauerer, Wolfgang},
journal = {Empirical Software Engineering},
mendeley-groups = {Springer,check-cross-duplicate},
pages = {2050--2094},
title = {Evolutionary trends of developer coordination: a network approach},
volume = {22},
year = {2017}
}

@article{Bettenburg2015,
author = {Bettenburg, Nicolas and Hassan, Ahmed E. and Adams, Bram and German, Daniel M.},
journal = {Empirical Software Engineering},
mendeley-groups = {check-cross-duplicate},
month = feb,
number = {1},
pages = {252--289},
title = {Management of community contributions: A case study on the Android and Linux software ecosystems},
volume = {20},
year = {2015}
}

@article{Lindman2018,
author = {Lindman, Juho and Hammouda, Imed},
journal = {Journal of Internet Services and Applications},
mendeley-groups = {Springer-rec,check-cross-duplicate},
title = {Support mechanisms provided by {FLOSS} foundations and other entities},
volume = {9},
year = {2018}
}


%%------

@article{hsieh2005,
author = {Hsiu-Fang Hsieh and Sarah E. Shannon},
title ={Three Approaches to Qualitative Content Analysis},
journal = {Qualitative Health Research},
volume = {15},
number = {9},
esconde_pages = {1277-1288},
year = {2005}
}

@inproceedings{Wen2020,
author = {Wen, Melissa and Leite, Leonardo and Kon, Fabio and Meirelles, Paulo},
title = {Understanding {FLOSS} through Community Publications: Strategies for Grey Literature Review},
year = {2020},
publisher = {Association for Computing Machinery},
booktitle = {Proceedings of the ACM/IEEE 42nd International Conference on Software Engineering: New Ideas and Emerging Results},
pages = {89–92},
series = {ICSE-NIER '20}
}

@article{WenSPB,
title = {Leading successful government-academia collaborations using {FLOSS} and agile values},
journal = {Journal of Systems and Software},
volume = {164},
pages = {110548},
year = {2020},
author = {Melissa Wen and Rodrigo Siqueira and Nelson Lago and Diego Camarinha and Antonio Terceiro and Fabio Kon and Paulo Meirelles}
}

@inproceedings{Aniche2019,
author = {Aniche, Mauricio and Yoder, Joseph W. and Kon, Fabio},
title = {Current Challenges in Practical Object-Oriented Software Design},
year = {2019},
publisher = {IEEE Press},
booktitle = {Proceedings of the 41st International Conference on Software Engineering: New Ideas and Emerging Results},
pages = {113–116},
location = {Montreal, Quebec, Canada},
series = {ICSE-NIER '19}
}

@book{Love2010,
author = {Love, Robert},
title = {Linux Kernel Development},
year = {2010},
isbn = {0672329468},
publisher = {Addison-Wesley Professional},
edition = {3rd}
}

%%-------

@misc{lwn_group_maintainership,
title = {Group maintainership models},
publisher = {LWN.net},
url = {https://lwn.net/Articles/705228/},
author={Corbet,Jonathan},
year={2016},
month={11},
urldate = {2021-04-19}
}

@misc{lwn_patchflow,
title = {How $4.4$'s patches got to the mainline},
publisher = {LWN.net},
url = {https://lwn.net/Articles/670209/},
author={Corbet,Jonathan},
year={2016},
month={1},
urldate = {2021-04-19}
}

@misc{lwn_linux25,
title = {$25$ Years of Linux — so far},
publisher = {LWN.net},
url = {https://lwn.net/Articles/698042/},
author={Corbet,Jonathan},
year={2016},
month={8},
urldate = {2021-04-19}
}

@misc{lwn_patchflow_2017,
title = {Patch flow into the mainline for $4.14$},
publisher = {LWN.net},
url = {https://lwn.net/Articles/737093/},
author={Corbet,Jonathan},
year={2017},
month={10},
urldate = {2021-04-19}
}

@misc{lwn_statelinus,
title = {The state of Linus},
publisher = {LWN.net},
url = {https://lwn.net/Articles/738230/},
author={Corbet,Jonathan},
year={2017},
month={11},
urldate = {2021-04-19}
}

@misc{lwn_pathfix,
title = {A slow path to a fast fix},
publisher = {LWN.net},
url = {https://lwn.net/Articles/681062/},
author={Corbet,Jonathan},
year={2016},
month={03},
urldate = {2021-04-19}
}

@misc{lwn_perspective,
title = {Two perspectives on the maintainer relationship},
publisher = {LWN.net},
url = {https://lwn.net/Articles/749676/},
author={Corbet,Jonathan},
year={2018},
month={03},
urldate = {2021-04-19}
}

@misc{lwn_codeconduct,
title = {The code of conduct at the Maintainers Summit},
publisher = {LWN.net},
url = {https://lwn.net/Articles/769117/},
author={Corbet,Jonathan},
year={2018},
month={10},
urldate = {2021-04-19}
}

@misc{lwn_codeconflict,
title = {Code, conflict, and conduct},
publisher = {LWN.net},
url = {https://lwn.net/Articles/765108/},
author={Corbet,Jonathan},
year={2018},
month={09},
urldate = {2021-04-19}
}

@misc{lwn_scalelinus,
title = {On the scalability of Linus},
publisher = {LWN.net},
url = {https://lwn.net/Articles/393694/},
author={Corbet,Jonathan},
year={2010},
month={07},
urldate = {2021-04-19}
}

@misc{lwn_movemaintainer,
title = {On moving on from being a maintainer},
publisher = {LWN.net},
url = {https://lwn.net/Articles/670087/},
author={Edge, Jake},
year={2016},
month={01},
urldate = {2021-04-19}
}

@misc{lwn_linushappy,
title = {What makes Linus happy $($or not$)$ ?},
publisher = {LWN.net},
url = {https://lwn.net/Articles/608950/},
author={Corbet,Jonathan},
year={2014},
month={08},
urldate = {2021-04-19}
}

@misc{lwn_maintainerscale,
title = {On Linux kernel maintainer scalability},
publisher = {LWN.net},
url = {https://lwn.net/Articles/703005/},
author={Corbet,Jonathan},
year={2016},
month={10},
urldate = {2021-04-19}
}

@misc{lwn_devmodel,
title = {LPC: Development model diversity},
publisher = {LWN.net},
url = {https://lwn.net/Articles/458094/},
author={Edge, Jake},
year={2011},
month={09},
urldate = {2021-04-19}
}

@misc{opensource_com,
title = {What the data says about how Linux kernel developers collaborate},
publisher = {Opensource.com},
url = {https://opensource.com/article/17/10/collaboration-linux-kernel},
author={Foster, Dawn},
year={2017},
month={10},
urldate = {2021-04-19}
}

@misc{linux_reflect,
title = {Linus Torvalds Reflects on 25 Years of Linux},
publisher = {Linux.com},
url = {https://www.linux.com/news/linus-torvalds-reflects-25-years-linux/},
author={Clark, Libby},
year={2016},
month={08},
urldate = {2021-04-19}
}

@misc{linus_shame,
title = {Linus Torvalds defends his right to shame Linux kernel developers},
publisher = {ars technica},
url = {https://arstechnica.com/information-technology/2013/07/linus-torvalds-defends-his-right-to-shame-linux-kernel-developers/},
author={Brodkin, Jon},
year={2013},
month={07},
urldate = {2021-04-19}
}

@misc{linus_return,
title = {Linus Torvalds returns to Linux development with new code of conduct in place},
publisher = {The Verge},
url = {https://www.theverge.com/2018/10/22/18011854/linus-torvalds-linux-kernel-development-return-code-of-conduct},
author={Statt, Nick},
year={2018},
month={10},
urldate = {2021-04-19}
}

@misc{newyorker,
title = {After Years of Abusive E-mails, the Creator of Linux Steps Aside},
publisher = {The New Yorker},
url = {https://www.newyorker.com/science/elements/after-years-of-abusive-e-mails-the-creator-of-linux-steps-aside},
author={Cohen, Noam},
year={2018},
month={09},
urldate = {2021-04-19}
}
